newsq(1)

NAME
newsq - view the leafnode news queue

SYNOPSIS
newsq [GLOBAL OPTIONS] [-cf]

DESCRIPTION
newsq outputs a summary of news that is in leafnode's out.going, in.coming and failed.postings news queues.

In out.going, leafnode queues news that has been posted locally on your site and not yet uploaded to the upstream news server.

In in.coming, leafnode queues news destined to the local system that it could not store into the groups at the time it was posted (because, for example, texpire or fetchnews were running).

failed.postings carries all articles that have been rejected by upstream servers.

OPTIONS
For a description of the GLOBAL OPTIONS, see leafnode(8).

-c  Check mode. Checks the out.going queue without printing anything. The exit code is EXIT_SUCCESS (0) when out.going contains articles, EX_UNAVAILABLE when no articles are spooled in out.going and EXIT_FAILURE when there was an error.

-f  Print list of article bodies marked for download by delaybody mode. No headers or summaries will be printed, the format is the group name, a colon (:), the article number, a space, and the message ID in angle brackets.

-h  Print a short help and print the exit codes used in -c mode. They are system-specific and should not change when updating leafnode, but can change on updating operating systems, although this should rarely happen.

SECURITY
newsq is supposed to be installed set-group-id (mode 02711) to your news group. Do not install it set-user-id anything!

AUTHOR
Written and Copyright 1999 by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>.
Written and Copyright 2002 by Ralf Wildenhues <ralf.wildenhues@gmx.de>.
Written and Copyright 2000, 2001, 2002, 2004 by Matthias Andree <matthias.andree@gmx.de>.

This manual page was written by Joey Hess, for the Debian GNU/Linux system, and updated by Matthias Andree.